﻿using System.Threading.Tasks;
using Gallery.Util.Model;

namespace Gallery.Util.Interface
{
    public interface IGallerySource
    {
        string Name { get; }

        string HomePage { get; }

        void SetCookie();

        Task<GalleryItem[]> GetRecentItemsAsync(int page);
    }
}
